package com.iformall.pay;

import lombok.Data;

/**
 * Created by Stormeye on 2018/8/10.
 */
@Data
public class WxPayOrderQ {
    private String appid;               // 小程序ID
    private String mch_id;              // 商户号
    private String nonce_str;           // 随机字符串
    private String sign;                // 签名
    private String out_trade_no;        // 商户订单号

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WxPayOrderQ{");
        sb.append("appid='").append(appid).append('\'');
        sb.append(", mch_id='").append(mch_id).append('\'');
        sb.append(", nonce_str='").append(nonce_str).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append(", out_trade_no='").append(out_trade_no).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
